
From: Ingo Molnar <mingo@elte.hu>

The attached patch fixes long scheduling latencies in pty_read()caused by
the BKL.

Has been tested as part of the -VP patchset and in earlier -mm trees.

Signed-off-by: Ingo Molnar <mingo@elte.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/pty.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/char/pty.c~sched-pty-fix-scheduling-latencies-in-ptyc drivers/char/pty.c
--- 25/drivers/char/pty.c~sched-pty-fix-scheduling-latencies-in-ptyc	2004-09-21 01:53:31.469139328 -0700
+++ 25-akpm/drivers/char/pty.c	2004-09-21 01:53:31.473138720 -0700
@@ -143,6 +143,7 @@ static int pty_write(struct tty_struct *
 			c     += n;
 			count -= n;
 			to->ldisc.receive_buf(to, temp_buffer, NULL, n);
+			cond_resched();
 		}
 		up(&tty->flip.pty_sem);
 	} else {
_
